## libkf5calendarsupport 22.04.3

=== debian/changelog ===
libkf5calendarsupport (4:22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:58:09 +0200

libkf5calendarsupport (4:22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:02:53 +0200

libkf5calendarsupport (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:47:29 +0200

libkf5calendarsupport (4:22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 16:13:54 +0200

libkf5calendarsupport (4:21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:10:41 +0200

libkf5calendarsupport (4:21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Refresh patches.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:28:34 +0100

libkf5calendarsupport (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:25:03 +0900

libkf5calendarsupport (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:35:13 +0900

libkf5calendarsupport (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:39:14 +0900

libkf5calendarsupport (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:14:00 +0900

libkf5calendarsupport (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Drop upstream patch.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:46:51 +0900

=== debian/control ===
Source: libkf5calendarsupport
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkf5akonadi-dev (>= 4:22.04.3~),
               libkf5akonadicalendar-dev (>= 4:22.04.3~),
               libkf5akonadimime-dev (>= 4:22.04.3~),
               libkf5akonadinotes-dev (>= 4:22.04.3~),
               libkf5calendarcore-dev (>= 5:5.91.0~),
               libkf5calendarutils-dev (>= 4:22.04.3~),
               libkf5codecs-dev (>= 5.91.0~),
               libkf5guiaddons-dev (>= 5.91.0~),
               libkf5holidays-dev (>= 1:5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5identitymanagement-dev (>= 22.04.3~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5mime-dev (>= 22.04.3~),
               libkf5pimcommon-dev (>= 4:22.04.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.11.0~),
               xauth,
               xvfb
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/pim/calendarsupport
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/calendarsupport
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/calendarsupport.git
Rules-Requires-Root: no

Package: libkf5calendarsupport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE PIM Calendar support - data files
 This library provides calendar support for KDE PIM.
 .
 This package provides data files used by the library.

Package: libkf5calendarsupport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:22.04.3~),
         libkf5akonadicalendar-dev (>= 4:22.04.3~),
         libkf5calendarsupport5abi1 (= ${binary:Version}),
         libkf5identitymanagement-dev (>= 22.04.3~),
         libkf5mime-dev (>= 22.04.3~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM Calendar support - devel files
 This library provides calendar support for KDE PIM.
 .
 This package provides development files.

Package: libkf5calendarsupport5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5CalendarSupport
Architecture: any
Multi-Arch: same
Depends: libkf5calendarsupport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM Calendar support - library
 This library provides calendar support for KDE PIM.
 .
 This package provides the shared libraries.
Provides: ${ABI:VirtualPackage}

## libkf5calendarsupport 22.08.1

=== debian/changelog ===
libkf5calendarsupport (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:35:13 +0100

libkf5calendarsupport (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:37 +0100

libkf5calendarsupport (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:22:48 +0100

libkf5calendarsupport (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:56:22 +0100

libkf5calendarsupport (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:53:11 +0100

libkf5calendarsupport (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:42:59 +0100

=== debian/control ===
Source: libkf5calendarsupport
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:22.08.1~),
               libkf5akonadicalendar-dev (>= 4:22.08.1~),
               libkf5akonadimime-dev (>= 4:22.08.1~),
               libkf5akonadinotes-dev (>= 4:22.08.1~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:22.08.1~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:22.08.1~),
               libkf5holidays-dev (>= 1:5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 22.08.1~),
               libkf5mime-dev (>= 22.08.1~),
               libkf5pimcommon-dev (>= 4:22.08.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xvfb,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calendarsupport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calendarsupport

Package: libkf5calendarsupport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: korganizer (<= 4:16.04), ${kde-l10n:all}
Replaces: korganizer (<= 4:16.04), ${kde-l10n:all}
Description: KDE PIM Calendar support - data files
 This library provides calendar support for KDE PIM.
 .
 This package provides data files used by the library.

Package: libkf5calendarsupport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:22.08.1~),
         libkf5akonadicalendar-dev (>= 4:22.08.1~),
         libkf5calendarsupport5abi1 (= ${binary:Version}),
         libkf5identitymanagement-dev (>= 22.08.1~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Calendar support - devel files
 This library provides calendar support for KDE PIM.
 .
 This package provides development files.

Package: libkf5calendarsupport5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5CalendarSupport
Architecture: any
Multi-Arch: same
Depends: libkf5calendarsupport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Calendar support - library
 This library provides calendar support for KDE PIM.
 .
 This package provides the shared libraries.

## libkf5calendarsupport 22.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.22.3")

project(calendarsupport VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.99.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddTests)

include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
set(AKONADI_MIMELIB_VERSION "5.22.3")
set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()
set(KMIME_LIB_VERSION "5.22.3")
set(CALENDARUTILS_LIB_VERSION "5.22.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.22.3")
set(AKONADICALENDAR_LIB_VERSION "5.22.3")
set(AKONADI_VERSION "5.22.3")
set(AKONADI_NOTES_VERSION "5.22.3")
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test PrintSupport)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5GuiAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADI_NOTES_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX CALENDARSUPPORT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/calendarsupport_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarSupportConfigVersion.cmake"
                        SOVERSION 5
)

########### Targets ###########


ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5CalendarSupport")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5CalendarSupportConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarSupportConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarSupportConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarSupportConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5CalendarSupportTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5CalendarSupportTargets.cmake NAMESPACE KF5::)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/calendarsupport_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/CalendarSupport/ COMPONENT Devel
)



add_subdirectory(src)


kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5CalendarSupport_QCH
        FILE KF5CalendarSupportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5CalendarSupportQchTargets.cmake\")")
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"calendarsupport\")

########### next target ###############
add_library(KF5CalendarSupport)
add_library(KF5::CalendarSupport ALIAS KF5CalendarSupport)
target_sources(KF5CalendarSupport PRIVATE
  archivedialog.cpp
  attachmenthandler.cpp
  calendarsingleton.cpp
  categoryhierarchyreader.cpp
  cellitem.cpp
  collectionselection.cpp
  eventarchiver.cpp
  identitymanager.cpp
  incidenceattachmentmodel.cpp
  kcalprefs.cpp
  messagewidget.cpp
  noteeditdialog.cpp
  utils.cpp
  urihandler.cpp

  printing/calprintpluginbase.cpp
  printing/calprintdefaultplugins.cpp
  printing/calprinter.cpp
  printing/journalprint.cpp
  printing/yearprint.cpp

  next/incidenceviewer.cpp

  freebusymodel/freeperiodmodel.cpp
  freebusymodel/freebusyitem.cpp
  freebusymodel/freebusyitemmodel.cpp
  freebusymodel/freebusycalendar.cpp
  next/incidenceviewer.h
  next/incidenceviewer_p.h
  categoryhierarchyreader.h
  calendarsingleton.h
  utils.h
  archivedialog.h
  cellitem.h
  identitymanager.h
  noteeditdialog.h
  attachmenthandler.h
  eventarchiver.h
  printing/printplugin.h
  printing/calprintpluginbase.h
  printing/journalprint.h
  printing/calprintdefaultplugins.h
  printing/yearprint.h
  printing/calprinter.h
  kcalprefs.h
  urihandler.h
  incidenceattachmentmodel.h
  freebusymodel/freeperiodmodel.h
  freebusymodel/freebusyitemmodel.h
  freebusymodel/freebusycalendar.h
  freebusymodel/freebusyitem.h
  collectionselection.h
  messagewidget.h
)

ki18n_wrap_ui(KF5CalendarSupport
  printing/calprintdayconfig_base.ui
  printing/calprintincidenceconfig_base.ui
  printing/calprintjournalconfig_base.ui
  printing/calprintmonthconfig_base.ui
  printing/calprinttodoconfig_base.ui
  printing/calprintweekconfig_base.ui
  printing/calprintyearconfig_base.ui
)
ecm_qt_declare_logging_category(KF5CalendarSupport HEADER calendarsupport_debug.h IDENTIFIER CALENDARSUPPORT_LOG CATEGORY_NAME org.kde.pim.calendarsupport
        OLD_CATEGORY_NAMES log_calendarsupport
        DESCRIPTION "calendarsupport (calendarsupport)" EXPORT CALENDARSUPPORT)

kconfig_add_kcfg_files(KF5CalendarSupport kcalprefs_base.kcfgc)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF5CalendarSupport PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF5CalendarSupport BASE_NAME calendarsupport)


target_include_directories(KF5CalendarSupport INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/CalendarSupport/>")
target_include_directories(KF5CalendarSupport PUBLIC "$<BUILD_INTERFACE:${calendarsupport_SOURCE_DIR}/src;${calendarsupport_BINARY_DIR}/src>")

target_link_libraries(
  KF5CalendarSupport
PUBLIC
  KF5::Mime
  KF5::IdentityManagement
  KF5::AkonadiCalendar
  Qt::PrintSupport
PRIVATE
  KF5::PimTextEdit
  KF5::I18n
  KF5::Completion
  KF5::KIOWidgets
  KF5::GuiAddons
  KF5::AkonadiWidgets
  KF5::AkonadiNotes
  KF5::Holidays
  KF5::Codecs
  KF5::AkonadiCore
  KF5::CalendarCore
  KF5::CalendarUtils
)

set_target_properties(KF5CalendarSupport PROPERTIES
    VERSION ${CALENDARSUPPORT_VERSION}
    SOVERSION ${CALENDARSUPPORT_SOVERSION}
    EXPORT_NAME CalendarSupport
)

install(TARGETS
    KF5CalendarSupport
    EXPORT KF5CalendarSupportTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(CalendarSupport_CamelCase_HEADERS
  HEADER_NAMES
  Utils
  CellItem
  CollectionSelection
  KCalPrefs
  IdentityManager
  EventArchiver
  CategoryHierarchyReader
  CalendarSingleton
  MessageWidget
  ArchiveDialog
  NoteEditDialog
  UriHandler
  REQUIRED_HEADERS CalendarSupport_HEADERS
  PREFIX CalendarSupport
)

ecm_generate_headers(CalendarSupport_CamelCaseprinter_HEADERS
  HEADER_NAMES
  PrintPlugin
  CalPrinter
  CalPrintDefaultPlugins
  CalPrintPluginBase
  REQUIRED_HEADERS CalendarSupport_printer_HEADERS
  PREFIX CalendarSupport
  RELATIVE printing
)

ecm_generate_headers(CalendarSupport_CamelCasenext_HEADERS
  HEADER_NAMES
  IncidenceViewer
  REQUIRED_HEADERS CalendarSupport_next_HEADERS
  PREFIX CalendarSupport
  RELATIVE next
)

ecm_generate_headers(CalendarSupport_CamelCasefreebusy_HEADERS
  HEADER_NAMES
  FreeBusyItem
  FreeBusyItemModel
  FreeBusyCalendar
  FreePeriodModel
  REQUIRED_HEADERS CalendarSupport_freebusy_HEADERS
  PREFIX CalendarSupport
  RELATIVE freebusymodel
)

ecm_generate_pri_file(BASE_NAME CalendarSupport
    LIB_NAME KF5CalendarSupport
    DEPS "KMime KIdentityManagement AkonadiCalendar" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/CalendarSupport
)

install(FILES
    ${CalendarSupport_CamelCase_HEADERS}
    ${CalendarSupport_CamelCaseprinter_HEADERS}
    ${CalendarSupport_CamelCasenext_HEADERS}
    ${CalendarSupport_CamelCasefreebusy_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/CalendarSupport/CalendarSupport
    COMPONENT Devel
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/calendarsupport_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/ui_calprintincidenceconfig_base.h
    ${CMAKE_CURRENT_BINARY_DIR}/ui_calprintdayconfig_base.h
    ${CMAKE_CURRENT_BINARY_DIR}/ui_calprintweekconfig_base.h
    ${CMAKE_CURRENT_BINARY_DIR}/ui_calprintmonthconfig_base.h
    ${CMAKE_CURRENT_BINARY_DIR}/ui_calprinttodoconfig_base.h

    ${CMAKE_CURRENT_BINARY_DIR}/kcalprefs_base.h
    ${CalendarSupport_HEADERS}
    ${CalendarSupport_printer_HEADERS}
    ${CalendarSupport_next_HEADERS}
    ${CalendarSupport_freebusy_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/CalendarSupport/calendarsupport
    COMPONENT Devel
)
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(freebusymodel/autotests)
endif()

ecm_qt_install_logging_categories(EXPORT CALENDARSUPPORT FILE calendarsupport.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if (BUILD_QCH)
    ecm_add_qch(
        KF5CalendarSupport_QCH
        NAME KF5CalendarSupport
        BASE_NAME KF5CalendarSupport
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${CalendarSupport_HEADERS}
        ${CalendarSupport_printer_HEADERS}
        ${CalendarSupport_next_HEADERS}
        ${CalendarSupport_freebusy_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
            Qt5Gui_QCH
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KSIEVEUI_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

########### next target ###############

add_executable(noteeditdialogtest noteeditdialogtest.cpp noteeditdialogtest.h)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(noteeditdialogtest PROPERTIES UNITY_BUILD ON)
endif()
add_test(NAME noteeditdialogtest COMMAND noteeditdialogtest)
ecm_mark_as_test(noteeditdialogtest)
target_link_libraries(noteeditdialogtest
  Qt::Test
  KF5::AkonadiWidgets
  KF5::AkonadiNotes
  KF5::CalendarSupport
  KF5::PimTextEdit
)

ecm_add_test(placeitemtest.cpp LINK_LIBRARIES Qt::Test KF5::CalendarSupport)

=== src/freebusymodel/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
macro(add_freebusymodel_unittest _name)
    ecm_add_test(${_name}.cpp ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "freebusymodel-"
        LINK_LIBRARIES Qt::Test KF5::AkonadiCore KF5::CalendarUtils KF5::CalendarCore KF5::CalendarSupport
    )
endmacro()

add_freebusymodel_unittest(testfreeperiodmodel)
add_freebusymodel_unittest(testfreebusyitemmodel)

=== debian/changelog ===
libkf5calendarsupport (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:32:40 +0100

libkf5calendarsupport (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:27:21 +0100

libkf5calendarsupport (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:26 +0100

libkf5calendarsupport (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:05:08 +0100

libkf5calendarsupport (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:54:52 +0100

libkf5calendarsupport (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:12:15 +0200

libkf5calendarsupport (4:22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:09:41 +0200

libkf5calendarsupport (4:22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:46:34 +0200

=== debian/control ===
Source: libkf5calendarsupport
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5akonadicalendar-dev (>= 4:22.12.3~),
               libkf5akonadimime-dev (>= 4:22.12.3~),
               libkf5akonadinotes-dev (>= 4:22.12.3~),
               libkf5calendarcore-dev (>= 5:5.99.0~),
               libkf5calendarutils-dev (>= 4:22.12.3~),
               libkf5codecs-dev (>= 5.99.0~),
               libkf5guiaddons-dev (>= 5.99.0~),
               libkf5holidays-dev (>= 1:5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5identitymanagement-dev (>= 22.12.3~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5mime-dev (>= 22.12.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.11.0~),
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/calendarsupport
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/calendarsupport
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/calendarsupport.git
Rules-Requires-Root: no

Package: libkf5calendarsupport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM Calendar support - data files
 This library provides calendar support for KDE PIM.
 .
 This package provides data files used by the library.

Package: libkf5calendarsupport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:22.12.3~),
         libkf5akonadicalendar-dev (>= 4:22.12.3~),
         libkf5calendarsupport5abi1 (= ${binary:Version}),
         libkf5identitymanagement-dev (>= 22.12.3~),
         libkf5mime-dev (>= 22.12.3~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Calendar support - devel files
 This library provides calendar support for KDE PIM.
 .
 This package provides development files.

Package: libkf5calendarsupport5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5CalendarSupport
Architecture: any
Multi-Arch: same
Depends: libkf5calendarsupport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Calendar support - library
 This library provides calendar support for KDE PIM.
 .
 This package provides the shared libraries.
Provides: ${ABI:VirtualPackage},

## libkf5calendarsupport 23.08.0

=== debian/changelog ===
libkf5calendarsupport (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:49:19 +0100

libkf5calendarsupport (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:29:26 +0100

libkf5calendarsupport (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:41:29 +0100

libkf5calendarsupport (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Rename library package: libkf5calendarsupport5abi1 ->
    libkpim5calendarsupport5
  * Update installed files
  * Drop enable_debianabimanager.diff
  * Rename data package: libkf5calendarsupport-data ->
    libkpim5calendarsupport-data
  * Sync debian/rules with debian, provide virtual ABI package
  * Remove symbols file, no longer used
  * Add libkf5textaddons-dev to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:58:26 +0100

libkf5calendarsupport (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:33:33 +0000

libkf5calendarsupport (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:09:34 -0600

libkf5calendarsupport (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:24:52 +0000

libkf5calendarsupport (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:04:23 +0000

libkf5calendarsupport (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:00:49 +0000

libkf5calendarsupport (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:38:23 +0000

libkf5calendarsupport (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:04:33 +0000

=== debian/control ===
Source: libkf5calendarsupport
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:23.08.0~),
               libkf5akonadicalendar-dev (>= 4:23.08.0~),
               libkf5akonadimime-dev (>= 4:23.08.0~),
               libkf5akonadinotes-dev (>= 4:23.08.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:23.08.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.0~),
               libkf5holidays-dev (>= 1:5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 23.08.0~),
               libkf5mime-dev (>= 23.08.0~),
               libkf5pimcommon-dev (>= 4:23.08.0~),
               libkf5textaddons-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xvfb,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calendarsupport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calendarsupport

Package: libkpim5calendarsupport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: korganizer (<= 4:16.04), ${kde-l10n:all}
Replaces: libkf5calendarsupport-data (<< 4:23.04.1~),
          korganizer (<= 4:16.04),
          ${kde-l10n:all},
Description: KDE PIM Calendar support - data files
 This library provides calendar support for KDE PIM.
 .
 This package provides data files used by the library.

Package: libkf5calendarsupport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:23.08.0~),
         libkf5akonadicalendar-dev (>= 4:23.08.0~),
         libkf5identitymanagement-dev (>= 23.08.0~),
         libkpim5calendarsupport5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Calendar support - devel files
 This library provides calendar support for KDE PIM.
 .
 This package provides development files.

Package: libkpim5calendarsupport5
Architecture: any
Multi-Arch: same
Depends: libkpim5calendarsupport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: KDE PIM Calendar support - library
 This library provides calendar support for KDE PIM.
 .
 This package provides the shared libraries.

## libkf5calendarsupport 23.08.1

=== debian/changelog ===
libkf5calendarsupport (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.0~),
-               libkf5akonadicalendar-dev (>= 4:23.08.0~),
-               libkf5akonadimime-dev (>= 4:23.08.0~),
-               libkf5akonadinotes-dev (>= 4:23.08.0~),
+               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadicalendar-dev (>= 4:23.08.1~),
+               libkf5akonadimime-dev (>= 4:23.08.1~),
+               libkf5akonadinotes-dev (>= 4:23.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarutils-dev (>= 4:23.08.0~),
+               libkf5calendarutils-dev (>= 4:23.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.0~),
+               libkf5contacteditor-dev (>= 4:23.08.1~),
                libkf5holidays-dev (>= 1:5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 23.08.0~),
-               libkf5mime-dev (>= 23.08.0~),
-               libkf5pimcommon-dev (>= 4:23.08.0~),
+               libkf5identitymanagement-dev (>= 23.08.1~),
+               libkf5mime-dev (>= 23.08.1~),
+               libkf5pimcommon-dev (>= 4:23.08.1~),
                libkf5textaddons-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -47,9 +47,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.0~),
-         libkf5akonadicalendar-dev (>= 4:23.08.0~),
-         libkf5identitymanagement-dev (>= 23.08.0~),
+Depends: libkf5akonadi-dev (>= 4:23.08.1~),
+         libkf5akonadicalendar-dev (>= 4:23.08.1~),
+         libkf5identitymanagement-dev (>= 23.08.1~),
          libkpim5calendarsupport5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},

## libkf5calendarsupport 23.08.4

=== debian/changelog ===
libkf5calendarsupport (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:50 +0000

libkf5calendarsupport (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:29:54 +0000

libkf5calendarsupport (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:26:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadicalendar-dev (>= 4:23.08.1~),
-               libkf5akonadimime-dev (>= 4:23.08.1~),
-               libkf5akonadinotes-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadicalendar-dev (>= 4:23.08.4~),
+               libkf5akonadimime-dev (>= 4:23.08.4~),
+               libkf5akonadinotes-dev (>= 4:23.08.4~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarutils-dev (>= 4:23.08.1~),
+               libkf5calendarutils-dev (>= 4:23.08.4~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.1~),
+               libkf5contacteditor-dev (>= 4:23.08.4~),
                libkf5holidays-dev (>= 1:5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 23.08.1~),
-               libkf5mime-dev (>= 23.08.1~),
-               libkf5pimcommon-dev (>= 4:23.08.1~),
+               libkf5identitymanagement-dev (>= 23.08.4~),
+               libkf5mime-dev (>= 23.08.4~),
+               libkf5pimcommon-dev (>= 4:23.08.4~),
                libkf5textaddons-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -47,9 +47,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.1~),
-         libkf5akonadicalendar-dev (>= 4:23.08.1~),
-         libkf5identitymanagement-dev (>= 23.08.1~),
+Depends: libkf5akonadi-dev (>= 4:23.08.4~),
+         libkf5akonadicalendar-dev (>= 4:23.08.4~),
+         libkf5identitymanagement-dev (>= 23.08.4~),
          libkpim5calendarsupport5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
